@if (row && row.data[columnDisplay.id]) {
  <div
    #containerRef
    [class.__hover_pointer]="this.isEditable()"
    class="full-width full-height flex-column"
  >
    @if (!asyncOperationRunning) {
      @if (showIcon) {
        <sqtm-core-i18n-enum-icon
          style="margin: auto"
          class="table-icon-size default-cell-width"
          [i18nEnum]="i18nEnum"
          [i18nEnumItem]="enumItemKey"
          (click)="showTemplate()"
        >
        </sqtm-core-i18n-enum-icon>
      }
      @if (showLabel) {
        <span
          class="sqtm-grid-cell-txt-renderer m-auto-0"
          [ngClass]="textClass"
          nz-tooltip
          nzTooltipTitle=""
          sqtmCoreLabelTooltip="{{ getLabel(enumItemKey) | capitalize }}"
        >
          {{ getLabel(enumItemKey) | capitalize }}
        </span>
      }
    } @else {
      <span
        style="margin: auto"
        class="current-workspace-main-color table-icon-size"
      >
        <i nz-icon nzType="loading" nzTheme="outline"></i>
      </span>
    }
  </div>
  <ng-template #templatePortalContent>
    <sqtm-core-list-panel
      [items]="getPanelItems()"
      [selectedItem]="enumItemKey"
      (itemSelectionChanged)="change($event)"
    ></sqtm-core-list-panel>
  </ng-template>
} @else {
  <div class="full-width full-height flex-column">
    <span class="no-data-cell">-</span>
  </div>
}
